Loading...
Searching...
No Matches
Http_error

## Macros

#define | HTTP_ERROR_INIT()
| Initializer for structure http_error_t.
#define | HTTPTAG_ERROR(x)
| Tag list item for pointer to a erroneous headers object.
#define | HTTPTAG_ERROR_STR(s)
| Tag list item for string with erroneous headers value.

## Enumerations

enum | { http_error_hash }

## Functions

http_error_t * | http_error_init (http_error_t x[1])
| Initialize a structure http_error_t.
int | http_is_error (http_header_t const *header)
| Test if header object is instance of http_error_t.
http_error_t * | http_error_dup (su_home_t *home, http_error_t const *hdr))
| Duplicate (deep copy) `http_error_t`.
http_error_t * | http_error_copy (su_home_t *home, http_error_t const *hdr))
| Copy a http_error_t header structure.
http_error_t * | http_error_make (su_home_t *home, char const *s))
| Make a header structure http_error_t.
http_error_t * | http_error_format (su_home_t *home, char const *fmt,...)))
| Make a erroneous headers from formatting result.

## Variables

msg_hclass_t | http_error_class []
| Header class for HTTP erroneous headers.
msg_parse_f | http_error_d
| Decode (parse) a erroneous headers.
msg_print_f | http_error_e
| Encode (print) a erroneous headers.

## Detailed Description

## Macro Definition Documentation

## HTTP_ERROR_INIT

#define HTTP_ERROR_INIT | ( |  | ) |

Initializer for structure http_error_t.

A static http_error_t structure must be initialized with the HTTP_ERROR_INIT() macro. For instance,

http_error_t http_error = HTTP_ERROR_INIT;
HTTP_ERROR_INIT
#define HTTP_ERROR_INIT()
Initializer for structure http_error_t.
Definition http_protos.h:13842
http_error_t
msg_error_t http_error_t
Erroneous header.
Definition http.h:161

## HTTPTAG_ERROR

#define HTTPTAG_ERROR | ( |  | x | ) |

Tag list item for pointer to a erroneous headers object.

The HTTPTAG_ERROR() macro is used to include a tag item with a pointer to a http_error_t object in a tag list.

Parameters

  x | pointer to a http_error_t header structure, or NULL.

## HTTPTAG_ERROR_STR

#define HTTPTAG_ERROR_STR | ( |  | s | ) |

Tag list item for string with erroneous headers value.

The HTTPTAG_ERROR_STR() macro is used to include a tag item with a string containing value of a http_error_t header in a tag list.

Parameters

  s | pointer to a string containing http_error_t value, or NULL.

The HTTPTAG_ERROR_STR string can be converted to a http_error_t header structure by giving the string s has second argument to function http_error_make().

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
http_error_hash | Hash of erroneous headers.

## Function Documentation

## http_error_copy()

http_error_t * http_error_copy | ( | su_home_t * | home,
|  | http_error_t const * | hdr )

inline

Copy a http_error_t header structure.

The function http_error_copy() copies a header structure hdr. If the header structure hdr contains a reference (`hdr->h_next`) to a list of headers, all the headers in that list are copied, too. The function uses given memory home to allocate all the memory areas used to copy the header structure hdr.

Parameters

  home | memory home used to allocate new structure
  hdr | pointer to the header structure to be duplicated

When copying, only the header structure and parameter lists attached to it are duplicated. The new header structure retains all the references to the strings within the old header, including the encoding of the old header, if present.

Example
  error = http_error_copy(home, http->http_error);
  http_error_copy
  http_error_t * http_error_copy(su_home_t *home, http_error_t const *hdr))
  Copy a http_error_t header structure.
  Definition http_protos.h:14036

Returns
  The function http_error_copy() returns a pointer to newly copied header structure, or NULL upon an error.

## http_error_dup()

http_error_t * http_error_dup | ( | su_home_t * | home,
|  | http_error_t const * | hdr )

inline

Duplicate (deep copy) `http_error_t`.

The function http_error_dup() duplicates a header structure hdr. If the header structure hdr contains a reference (`hdr->x_next`) to a list of headers, all the headers in the list are duplicated, too.

Parameters

  home | memory home used to allocate new structure
  hdr | header structure to be duplicated

When duplicating, all parameter lists and non-constant strings attached to the header are copied, too. The function uses given memory home to allocate all the memory areas used to copy the header.

Example
  error = http_error_dup(home, http->http_error);
  http_error_dup
  http_error_t * http_error_dup(su_home_t *home, http_error_t const *hdr))
  Duplicate (deep copy) http_error_t.
  Definition http_protos.h:14029

Returns
  The function http_error_dup() returns a pointer to the newly duplicated http_error_t header structure, or NULL upon an error.

## http_error_format()

http_error_t * http_error_format | ( | su_home_t * | home,
|  | char const * | fmt,
|  |  | ... )

inline

Make a erroneous headers from formatting result.

The function http_error_format() makes a new erroneous headers object using formatting result as its value. The function first prints the arguments according to the format fmt specified. Then it allocates a new header structure, and uses the formatting result as the header value.

Parameters

  home | memory home used to allocate new header structure.
  fmt | string used as a printf()-style format
  ... | argument list for format

Note
  This function is usually implemented as a macro calling msg_header_format().

Returns
  The function http_error_format() returns a pointer to newly makes header structure, or NULL upon an error.

## http_error_init()

http_error_t * http_error_init | ( | http_error_t | x[1] | ) |

inline

Initialize a structure http_error_t.

An http_error_t structure can be initialized with the http_error_init() function/macro. For instance,

http_error_t http_error;
http_error_init(&http_error);
http_error_init
http_error_t * http_error_init(http_error_t x[1])
Initialize a structure http_error_t.
Definition http_protos.h:13858

## http_error_make()

http_error_t * http_error_make | ( | su_home_t * | home,
|  | char const * | s )

inline

Make a header structure http_error_t.

The function http_error_make() makes a new http_error_t header structure. It allocates a new header structure, and decodes the string s as the value of the structure.

Parameters

  home | memory home used to allocate new header structure.
  s | string to be decoded as value of the new header structure

Note
  This function is usually implemented as a macro calling http_header_make().

Returns
  The function http_error_make() returns a pointer to newly maked http_error_t header structure, or NULL upon an error.

## http_is_error()

int http_is_error | ( | http_header_t const * | header | ) |

inline

Test if header object is instance of http_error_t.

The function http_is_error() returns true (nonzero) if the header class is an instance of erroneous headers object and false (zero) otherwise.

Parameters

  header | pointer to the header structure to be tested

Returns
  The function http_is_xerror() returns true (nonzero) if the header object is an instance of header error and false (zero) otherwise.

## Variable Documentation

## http_error_class

msg_hclass_t http_error_class[]

extern

Header class for HTTP erroneous headers.

The header class http_error_class defines how a HTTP erroneous headers is parsed and printed. It also contains methods used by HTTP parser and other functions to manipulate the http_error_t header structure.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.